class InMemoryStorage {
  constructor() {
    this.cache = new Map()
  }

  get(key) {
    return this.cache.get(key)
  }

  set(key, value) {
    this.cache.set(key, value)
  }

  keys() {
    return Array.from(this.cache.keys())
  }

  del(key) {
    this.cache.delete(key)
  }

  clear() {
    this.cache.clear()
  }
}

module.exports = InMemoryStorage
